Bug 601115 - Review Request: lockfile-progs - safely lock and unlock files
Summary: Review Request: lockfile-progs - safely lock and unlock files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 601577
Blocks: 589867
TreeView+ depends on / blocked
 
Reported: 2010-06-07 09:20 UTC by Matthias Runge
Modified: 2015-01-05 13:43 UTC (History)
6 users (show)

Fixed In Version: lockfile-progs-0.1.15-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-11 03:44:22 UTC
pbrobinson: fedora-review+


Attachments (Terms of Use)

Description Matthias Runge 2010-06-07 09:20:44 UTC
Spec URL: http://www.matthias-runge.de/fedora/lockfile-progs.spec
SRPM URL: http://www.matthias-runge.de/fedora/lockfile-progs-0.1.13-4.fc13.src.rpm
Description: Lockfile-progs provide a method to lock and unlock mailboxes and  files safely (via liblockfile).

Comment 1 Pavel Alexeev 2010-06-07 18:35:37 UTC
I do not see liblockfile in repos. It is listed in BuildRequires. Where you got it? Do you plan add it on review too?

Comment 2 Matthias Runge 2010-06-08 08:50:13 UTC
I've sent liblockfile as review too, just a few seconds ago.
cf. 
https://bugzilla.redhat.com/show_bug.cgi?id=601577

Comment 3 Matthias Runge 2010-08-13 19:54:19 UTC
I've updated the spec-file slightly. 
Revision -2 is here:

SPEC: http://www.matthias-runge.de/fedora/lockfile-progs.spec
SRPM: http://www.matthias-runge.de/fedora/lockfile-progs-0.1.13-2.fc13.src.rpm

Comment 4 Matthias Runge 2010-08-13 20:01:55 UTC
A new version from upstream. Should have checked this five minutes earlier.

SRPM: http://www.matthias-runge.de/fedora/lockfile-progs-0.1.15-1.fc13.src.rpm
SPEC: http://www.matthias-runge.de/fedora/lockfile-progs.spec

rpmlint /home/mrunge/rpmbuild/SRPMS/lockfile-progs-0.1.15-1.fc13.src.rpm /home/mrunge/rpmbuild/RPMS/i686/lockfile-progs-0.1.15-1.fc13.i686.rpm /home/mrunge/rpmbuild/RPMS/i686/lockfile-progs-debuginfo-0.1.15-1.fc13.i686.rpm
lockfile-progs.src: W: spelling-error %description -l en_US liblockfile -> blockbusting, blockbuster, Blockbuster
lockfile-progs.i686: W: spelling-error %description -l en_US liblockfile -> blockbusting, blockbuster, Blockbuster
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

I'm sure, those warning can be ignored.

Comment 5 Pavel Alexeev 2010-08-13 20:40:47 UTC
Why you provide URL to Debian package but not upstream page? Is upstream alive?

Comment 6 Martin Gieseking 2010-08-13 21:16:38 UTC
Here are some more quick comments:

- replace "make" with 
  make %{_smp_mflags} CFLAGS='%{optflags}'
  and move it to the %build section

- in order to ensure that symbolic links are created, add 
  sed -i 's/\(cd bin && ln \)/\1 -sf /' Makefile
  before the call of make (or patch the Makefile appropriately)

- I suggest to replace %{__mkdir} and %{__cp} with plain mkdir and cp, 
  respectively

- add COPYING as %doc

- be more specific when adding the man pages:
  %{_mandir}/man1/*.1*

Comment 7 Michael Schwendt 2010-08-13 21:28:54 UTC
The "make check" target looks suitable for a %check section.


> I suggest to replace %{__mkdir} and %{__cp} with plain mkdir and cp,
> respectively

*Highly* recommended, especially since the "Makefile" doesn't use those RPM macros either.  (btw, %{__mkdir_p} would also exist :-p)


> CFLAGS='%{optflags}'

Strictly necessary as else it won't use Fedora's global flags.

Comment 8 Matthias Runge 2010-08-14 19:15:51 UTC
(In reply to comment #5)
> Why you provide URL to Debian package but not upstream page? Is upstream alive?

Afaik, it is a package, developed for debian, source is provided via debians pages. Upstream is definitely not dead. There is a bugtracker upstream, http://qa.debian.org/developer.php?login=rlb%40defaultvalue.org

Comment 9 Matthias Runge 2010-08-14 19:19:21 UTC
Thank you for your remarks. I took them and changed the spec according to them.

[mrunge@sofja SPECS]$ diff -u lockfile-progs.spec.orig lockfile-progs.spec
--- lockfile-progs.spec.orig	2010-08-14 19:18:37.095702770 +0200
+++ lockfile-progs.spec	2010-08-14 21:10:13.654660407 +0200
@@ -1,6 +1,6 @@
 Name:           lockfile-progs
 Version:        0.1.15
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Command-line programs to safely lock and unlock files and mailboxes
 
 License:        GPLv2
@@ -18,17 +18,20 @@
 
 %prep
 %setup -q -n sid
+sed -i 's/\(cd bin && ln \)/\1 -sf /' Makefile
 
 %build
+make %{_smp_mflags} CFLAGS='%{optflags}'
 
+%check
+make check
 
 %install
 rm -rf %{buildroot}
-make 
-%{__mkdir} -p %{buildroot}/%{_bindir}
-%{__cp} -r --preserve=all bin/* %{buildroot}/%{_bindir}
-%{__mkdir} -p %{buildroot}/%{_mandir}/man1
-%{__cp} -r --preserve=all man/* %{buildroot}/%{_mandir}/man1/
+mkdir -p %{buildroot}/%{_bindir}
+cp -r --preserve=all bin/* %{buildroot}/%{_bindir}
+mkdir -p %{buildroot}/%{_mandir}/man1
+cp -r --preserve=all man/* %{buildroot}/%{_mandir}/man1/
 
 %clean
 rm -rf %{buildroot}
@@ -42,10 +45,15 @@
 %{_bindir}/mail-lock
 %{_bindir}/mail-touchlock
 %{_bindir}/mail-unlock
-%{_mandir}/man?/*
-
+%{_mandir}/man1/*.1*
+%doc COPYING
 
 %changelog
+* Sat Aug 14 2010 Matthias Runge <mrunge@matthias-runge.de> 0.1.15-2
+- correct make-invocation, move it to build
+- COPYING in as doc
+- remove {__-invocations, replace by plain calls
+
 * Fri Aug 13 2010 Matthias Runge <mrunge@matthias-runge.de> 0.1.15-1
 - new version from upstream


new updated SPEC and SRPM:
SPEC: http://www.matthias-runge.de/fedora/lockfile-progs.spec
SRPM: http://www.matthias-runge.de/fedora/lockfile-progs-0.1.15-2.fc13.src.rpm

Comment 10 Peter Robinson 2010-08-22 14:35:39 UTC
Looks good. You don't need BuildRoot: anymore so that can be removed. Other than that APPROVED

+ rpmlint output

$ rpmlint lockfile-progs.spec lockfile-progs-0.1.15-2.fc14.src.rpm lockfile-progs-0.1.15-2.fc14.x86_64.rpm lockfile-progs-debuginfo-0.1.15-2.fc14.x86_64.rpm
lockfile-progs.src: W: spelling-error %description -l en_US liblockfile -> blockbusting, blockbuster, Blockbuster
lockfile-progs.x86_64: W: spelling-error %description -l en_US liblockfile -> blockbusting, blockbuster, Blockbuster
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  abfcda83a1868073673f4d78066b8f8a  lockfile-progs_0.1.15.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
  Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
+ Package should have man files

Comment 11 Till Maas 2010-08-22 14:46:23 UTC
(In reply to comment #10)
> Looks good. You don't need BuildRoot: anymore so that can be removed. Other

It is still required for EPEL 5 & 4.

Comment 12 Matthias Runge 2010-08-22 19:26:05 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: lockfile-progs
Short Description: safely lock and unlock files
Owners: mrunge
Branches: F-13, F-14, devel, EL-5, EL-6

Comment 13 Kevin Fenzi 2010-08-23 20:58:15 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2010-08-27 10:10:53 UTC
lockfile-progs-0.1.15-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lockfile-progs-0.1.15-2.fc14

Comment 15 Fedora Update System 2010-08-27 10:12:25 UTC
lockfile-progs-0.1.15-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lockfile-progs-0.1.15-2.fc13

Comment 16 Fedora Update System 2010-08-27 17:10:52 UTC
lockfile-progs-0.1.15-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lockfile-progs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lockfile-progs-0.1.15-2.fc14

Comment 17 Fedora Update System 2010-09-11 03:44:16 UTC
lockfile-progs-0.1.15-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-09-11 09:01:24 UTC
lockfile-progs-0.1.15-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-09-23 09:40:19 UTC
lockfile-progs-0.1.15-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lockfile-progs-0.1.15-2.el5

Comment 20 Fedora Update System 2010-11-22 16:59:24 UTC
lockfile-progs-0.1.15-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Matthias Runge 2014-03-18 07:17:03 UTC
Package Change Request
======================
Package Name: lockfile-progs
New Branches: epel7
Owners: mrunge

Comment 22 Gwyn Ciesla 2014-03-18 11:47:11 UTC
Git done (by process-git-requests).

Comment 23 Matthias Runge 2015-01-05 13:43:03 UTC
Package Change Request
======================
Package Name: lockfile-progs
New Branches: epel7
Owners: mrunge

Comment 24 Matthias Runge 2015-01-05 13:43:56 UTC
please ignore #c23


Note You need to log in before you can comment on or make changes to this bug.